package com.emsoft.groovy

import java.lang.annotation.ElementType
import java.lang.annotation.Retention
import java.lang.annotation.RetentionPolicy
import java.lang.annotation.Target
import org.codehaus.groovy.transform.GroovyASTTransformationClass

@Retention(RetentionPolicy.SOURCE)
@Target(ElementType.FIELD)
@GroovyASTTransformationClass("com.emsoft.groovy.transform.IdentityASTTransformation")
@interface Identity {

    boolean callSuper() default false

    boolean nullEquals() default false
}
